%define name xroar
%define version 0.19
%define distsuffix plf
%define release %mkrel 1

Summary: Dragon32, Dragon64 and Tandy CoCo emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.6809.org.uk/dragon/%{name}-%{version}.tar.bz2
Group: Emulators
License: GPL
URL: http://www.6809.org.uk/dragon/xroar.shtml
BuildRoot: %{_tmppath}/%{name}-build
BuildRequires: SDL-devel
BuildRequires: gtk+1.2-devel
BuildRequires: ImageMagick
%if %mdkversion >= 200700
BuildRequires: mesagl-devel
BuildRequires: mesaglu-devel
%else
BuildRequires: X11-devel
BuildRequires: MesaGLU-devel
%endif

%description
XRoar is a Dragon32, Dragon64 and Tandy CoCo emulator.
It uses standard cassette images (".cas" files) and virtual diskettes (".dsk" 
or ".vdk" files) but has its own snapshot format at the moment (no ".pak" file 
support).

This package is in PLF because of Mandriva policy regarding emulators.

%prep

%setup -q -n %{name}-%{version}
%configure2_5x
perl -pi -e "s#share#share/games#g" Makefile

%build
make
convert -scale 16x16 gp32/icon.bmp %{name}-16.png
convert gp32/icon.bmp %{name}-32.png
convert -scale 48x48 gp32/icon.bmp %{name}-48.png

%install
rm -rf %{buildroot}

#binary
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 %{name} %{buildroot}%{_gamesbindir}

#data dir
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}
#but is there some free software to put in there ?

#icons
install -d -m 755 %{buildroot}/%{_miconsdir}
install -m 644 %{name}-16.png %{buildroot}/%{_miconsdir}/%{name}.png
install -m 644 %{name}-32.png %{buildroot}/%{_iconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_liconsdir}
install -m 644 %{name}-48.png %{buildroot}/%{_liconsdir}/%{name}.png

#menu
install -d -m 755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="More Applications/Emulators" \
        title="XRoar" \
        longtitle="Dragon32, Dragon64 and Tandy CoCo emulator" \
        command="%{_gamesbindir}/%{name}" \
        icon="%{name}.png" \
        startup_notify="true" \
        xdg="true"
EOF

#xdg menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XRoar
Comment=Dragon32, Dragon64 and Tandy CoCo emulator
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-MoreApplications-Emulators;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING* README
%attr(0755,root,games) %{_gamesbindir}/%{name}
%dir %attr(0755,root,games) %{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Jun 27 2007 Guillaume Bedot <littletux@zarb.org> 0.19-1plf2008.0
- 0.19

* Wed Mar 21 2007 Guillaume Bedot <littletux@zarb.org> 0.18-1plf2007.1
- Release 0.18
- Now use the configure script, some cleanups

* Wed Aug 30 2006 Anssi Hannula <anssi@zarb.org> 0.17-2plf2007.0
- fix buildrequires

* Mon Aug 21 2006 Guillaume Bedot <littletux@zarb.org> 0.17-1plf2007.0
- 0.17
- no more TODO

* Wed Aug  9 2006 Guillaume Bedot <littletux@zarb.org> 0.16-1plf2007.0
- 0.16
- updated doc
- fixed rights issue on doc and debug files

* Sat Jul 22 2006 Guillaume Bedot <littletux@zarb.org> 0.15-1plf2007.0
- First PLF package
